<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-242 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginheight="0" marginwidth="0" bottommargin="0" leftmargin="0" rightmargin="0" topmargin="0" background="images/leftbg.jpg">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/leftbg.jpg">
  <tr>
    <td><img src="images/blank.gif" width="45" /></td>
    <td width="55"><img src="images/lefttop.jpg" width="211" height="55" /></td>
    <td height="55" align="right" background="images/rithttop.jpg"><img src="images/rithttop.jpg" width="470" height="55" /></td>
    <td><img src="images/blank.gif" width="45" /></td>
  </tr>
  <tr>
    <td width="55"><img src="images/blank.gif" width="45" /></td>
    <td width="211" valign="top" bgcolor="#FFFFFF"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">

      <tr>
        <td width="211" height="205" background="images/vhr.jpg" bgcolor="#FFFFFF"><table width="211" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="211" align="center" valign="middle" style="padding-bottom:9px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="4" background="images/vhr.jpg" bgcolor="#FFFFFF"><img src="images/hr.jpg" width="209" height="4" /></td>
      </tr>
      <tr>
        <td width="211" valign="top" background="images/vhr.jpg" bgcolor="#FFFFFF">
		<table width="211" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="211" height="30"><img src="images/blank.gif" width="211" height="30" /></td>
          </tr>
          <tr>
            <td align="center" valign="middle">
<table width="160" border="0" cellspacing="0" cellpadding="0">
              
<xsl:call-template name="TOP-MENU"/>

            </table></td>
          </tr>
          <tr>
            <td height="30"><img src="images/blank.gif" width="209" height="30" /></td>
          </tr>
          <tr>
            <td height="4"><img src="images/hr.jpg" width="209" height="4" /></td>
          </tr>
          <tr>
            <td height="30"><img src="images/blank.gif" width="209" height="30" /></td>
          </tr>
          <tr>
            <td><table width="160" border="0" align="center" cellpadding="0" cellspacing="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table></td>
          </tr>
          <tr>
            <td height="30"><img src="images/blank.gif" width="211" height="30" /></td>
          </tr>
        </table></td>
      </tr>
      
    </table></td>
    <td valign="top" bgcolor="#FFFFFF"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">

      <tr>
        <td height="209" align="right" background="images/headbg.jpg"><img src="images/header.jpg" width="470" height="209" /></td>
      </tr>
      <tr>
        <td height="30" bgcolor="#FFFFFF" style="padding-top:8px;"><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="30"><img src="images/blank.gif" width="20" height="28" /></td>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="29"><img src="images/pagetitle.jpg" width="29" height="28" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="20">
          <tr>
     <td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
          </tr>
        </table></td>
      </tr>
      
    </table></td>
    <td width="55"><img src="images/blank.gif" width="45" /></td>
  </tr>
  <tr>
    <td width="55"><img src="images/blank.gif" width="45" /></td>
    <td width="211" height="55" align="center" valign="middle" background="images/bhr.jpg" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
    <td align="center" valign="middle"><table border="0" cellspacing="0" cellpadding="5">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>
    <td><img src="images/blank.gif" width="45" /></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td align="left"><img src="images/blank.gif" width="10" height="28" /></td>
        <td align="left"><img src="images/submenubullet.jpg" width="13" height="28" /></td>
        <td align="left" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        <td align="left" class="asubmenu"><img src="images/blank.gif" width="10" height="28" /></td>
      </tr>
	  <tr>
        <td><img src="images/blank.gif" width="10" height="3" /></td>
        <td colspan="2" align="left" background="images/submenuhrbg.jpg"><img src="images/submenuhr.jpg" width="154" height="3" /></td>
        <td background="images/submenuhrbg.jpg"><img src="images/blank.gif" width="10" height="3" /></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
        <td align="left"><img src="images/blank.gif" width="10" height="28" /></td>
        <td align="left"><img src="images/submenubullet.jpg" width="13" height="28" /></td>
        <td align="left"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td align="left"><img src="images/blank.gif" width="10" height="28" /></td>
      </tr>
      <tr>
        <td><img src="images/blank.gif" width="10" height="3" /></td>
        <td colspan="2" align="left" background="images/submenuhrbg.jpg"><img src="images/submenuhr.jpg" width="154" height="3" /></td>
        <td background="images/submenuhrbg.jpg"><img src="images/blank.gif" width="10" height="3" /></td>
      </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td><img src="images/bmenuhr.jpg"/></td>
        <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

        <td><img src="images/bmenuhr.jpg"/></td>
        <td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>
        <td><img src="images/bmenuhr.jpg" /></td>
        <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
